summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarol Wrótniak <karol.wrotniak@droidsonroids.pl>2018-11-25 18:32:40 +0100
committerMichał Górny <mgorny@gentoo.org>2019-04-19 15:15:05 +0200
commitb068a5af7ec399dd7392c134f0c183227d92da36 (patch)
tree2267ef5c85b25c26708e51f21806588da6faa01f /dev-util
parentdev-util/stepman: bump to 0.10.5 (diff)
downloadgentoo-b068a5af7ec399dd7392c134f0c183227d92da36.tar.gz
gentoo-b068a5af7ec399dd7392c134f0c183227d92da36.tar.bz2
gentoo-b068a5af7ec399dd7392c134f0c183227d92da36.zip
dev-util/bitrise: bump to 1.24.0
Signed-off-by: Karol Wrótniak <karol.wrotniak@droidsonroids.pl> Closes: https://github.com/gentoo/gentoo/pull/10477 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/bitrise/Manifest1
-rw-r--r--dev-util/bitrise/bitrise-1.24.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-util/bitrise/Manifest b/dev-util/bitrise/Manifest
index 6ffee76a84ae..4f0d3bd71f0c 100644
--- a/dev-util/bitrise/Manifest
+++ b/dev-util/bitrise/Manifest
@@ -2,3 +2,4 @@ DIST bitrise-1.16.1.tar.gz 3986520 BLAKE2B 2a38eb72abc2aee69b9494abe03434014531a
DIST bitrise-1.19.0.tar.gz 4223634 BLAKE2B cb0822af15c1214d785f002617cd5c184e50a85c289d7ef5fe4fb429009495db26935aea9b9fbdb43514221d233a10347b52d01c0f839bb981da8437d61f79a1 SHA512 ef0ca59a907bf85ceadd2bccb7859e6b40146fd4983d51c84f82ba3ac36b47eeef41cbd342cfcbe516ed2ee678e66a4e07ef451cc36a7b6977fa6def9ac2a1e4
DIST bitrise-1.20.0.tar.gz 4226859 BLAKE2B f358caf503e02bfbeb895ebe759aeceb2c28f0055676cc897b16ffacfadf2b0f48e7c0c495716d58d1a65b8697889eb3c6895a145bd7fa6828bbbe32280c5d15 SHA512 edb3e78fe8714604f2e514d80efc879b8a28e18846be9f7a9abc641901355b31ce6659ed30ef9c81bcefbe9816d48a6a3f6c292f8948c09c6e9330fbef154eb7
DIST bitrise-1.23.0.tar.gz 4294480 BLAKE2B 2bc18a78822280fbca6039270ef61403cebd364aabca23b0bfd6b2e62b865cedeb046fe57641125bbddbd48922a34d89f59ed3c0b3e13b17497f485ac39c0932 SHA512 a41ddb2757f5d13675425fe943ca5834600f81233992fc80505347d87472df6268b98b82da9ea0349786647b2d7360b0a9019b41d1016ae231db348a5a0cac32
+DIST bitrise-1.24.0.tar.gz 4319920 BLAKE2B bc3a318453e32b1889310b21ef5f08a501da7be2f7da95498cbfc003c31d16490242c4972b40b74735731b3cf937b3cc55da08cf846fa2fbdf7b1d4b94bf818d SHA512 63a9fd3db3686140ed41f4f1e31e3787ca17e2e031a06f8561bfc581b01568ae5ff88bb9f81f0365bf60f4db6ba426fa3ad76a7363e31fbf31b702e7a9fe8b57
diff --git a/dev-util/bitrise/bitrise-1.24.0.ebuild b/dev-util/bitrise/bitrise-1.24.0.ebuild
new file mode 100644
index 000000000000..2bfc659d0fc8
--- /dev/null
+++ b/dev-util/bitrise/bitrise-1.24.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Run your Bitrise.io automations on any Mac or Linux machine"
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND=">=dev-util/envman-2.1.1
+ >=dev-util/stepman-0.10.5"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+ default
+ mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+ mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/bitrise" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+ GOPATH="${WORKDIR}" go build -v -o bin/bitrise || die "Couldn't compile bitrise"
+}
+
+src_test() {
+ pushd _tests/integration > /dev/null || die "Couldn't find integration tests directory"
+ rm envstore_test.go exit_code_test.go global_flag_test.go json_params_test.go log_filter_test.go output_alias_test.go \
+ step_template_test.go trigger_params_test.go update_test.go timeout_test.go || die "Couldn't remove network-dependent tests"
+ popd > /dev/null || die "Couldn't return to ${S} directory"
+ local -x PULL_REQUEST_ID=""
+ local -x INTEGRATION_TEST_BINARY_PATH="${S}/bin/bitrise"
+ GOPATH="${WORKDIR}" go test -v ./_tests/integration/... || die "Integration tests failed"
+}
+
+src_install() {
+ dobin bin/bitrise
+ dodoc README.md
+ use doc && dodoc -r _docs
+}